module Rsrb::World
  ##
  # Constants for a world
  module Constants
    RIGHTS = %i[player mod admin owner].freeze

    MAXIMUM_SIZE = 50
    DIRECTION_DELTA_X = [-1, 0, 1, -1, 1, -1, 0, 1]
    DIRECTION_DELTA_Y = [1, 1, 1, 0, 0, -1, -1, -1]
    PATHFINDER_DIRECTIONS = [[5, 3, 0], [6, -1, 1], [7, 4, 2]]

    DIRECTIONS = { north: [0, 1],
                   south: [0, -1],
                   east: [1, 0],
                   west: [-1, 0],
                   northeast: [1, 1],
                   northwest: [-1, 1],
                   southeast: [1, -1],
                   southwest: [-1, -1] }.freeze
  end
end